# medz/kernel.py
#
#

""" MEDZ kernel module. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from medz.utils.opts import make_opts, opts_defs
from medz.utils.other import hello
from medz.cfg import cfg_kernel
from medz.thing import Thing
from medz.plugs import Plugs
from medz.log import init

import logging
import time
import sys

## PATH

def medzpath():
    for path in sys.path:
        if "medz" in path and "egg" in path: yield path  

## KERNEL

class Kernel(Plugs):

    def boot(zelf, *args, **kwargs):
        zelf._start = time.time()
        opts, arglist = make_opts(opts_defs)
        cfg.update(cfg_kernel)
        cfg.update(vars(opts))
        cfg.update(kwargs)
        cfg.runargs = arglist
        cfg.shell = True
        if arglist: cfg.shell = False ; init("error")
        else: init(cfg.loglevel, colors=cfg.colors)
        if cfg.shell and args: hello(*args, **cfg)
        logging.debug("path %s" % ", ".join(list(medzpath()))) 
        plugs.boot(cfg.packages)
        zelf.ready()
        return zelf

    def shutdown(zelf, *args, **kwargs): logging.warn("# shutdown")

## DEFINITIES

kernel = Kernel()
plugs = Plugs()
cfg = Thing()
fleet = []
